;**************************************************************
;* lib_ti9929.h		TI9929 VDP Definitions Header
;*
;* Copyright (C) 2015,2016	Paul Daniels
;*
;* This program is free software: you can redistribute it and/
;* or modify it under the terms of the GNU General Public
;* License as published by the Free Software Foundation, either
;* version 3 of the License, or (at your option) any later
;* version.
;*
;* This program is distributed in the hope that it will be
;* useful, but WITHOUT ANY WARRANTY; without even the implied
;* warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
;* PURPOSE.  See the GNU General Public License for more
;* details.
;*
;* You should have received a copy of the GNU General Public
;* License along with this program. If not, see
;* <http://www.gnu.org/licenses/>.
;**************************************************************

;**************************************************************
; lib_ti9929.h	Defines used by the TI9929 library

		.IFNDEF LIB_TI9929_H

		.EQU LIB_TI9929_H	1

		.EQU VDP_PORT0	1
		.EQU VDP_PORT1	2

;**************************************************************
; VDP table ptrs

		; GR I - Single charset
		;.EQU VDP_GRTYPE	$04
		;.EQU VDP_GRMODE	$00
		;.EQU VDP_PATTAB	$0000	; - $07ff
					; $0800 - $17ff free
		;.EQU VDP_NAMTAB	$1800	; - $1aff
		;.EQU VDP_SPRATR	$1b00	; - $1b7f
					; $1b80 - $1fff free
		;.EQU VDP_COLTAB	$2000	; - $27ff
					; $2800 - $37ff free
		;.EQU VDP_SPRPAT	$3800	; - $3fff

		; GR II
		.EQU VDP_GRTYPE		$04
		.EQU VDP_GRMODE		$03
		.EQU VDP_PATTAB		$0000	; - $17ff
		.EQU VDP_NAMTAB		$1800	; - $1aff
		.EQU VDP_SPRATR		$1B00	; - $1b7f
		.EQU VDP_COLTAB		$2000	; - $37ff
		.EQU VDP_SPRPAT		$3800	; - $3fff	

;**************************************************************
; Colours

		.EQU VDP_CLR_TRANSPARENT	0
		.EQU VDP_CLR_BLACK		1
		.EQU VDP_CLR_MD_GREEN		2
		.EQU VDP_CLR_LT_GREEN		3
		.EQU VDP_CLR_DK_BLUE		4
		.EQU VDP_CLR_LT_BLUE		5
		.EQU VDP_CLR_DK_RED		6
		.EQU VDP_CLR_CYAN		7
		.EQU VDP_CLR_MD_RED		8
		.EQU VDP_CLR_LT_RED		9
		.EQU VDP_CLR_DK_YELLOW		10
		.EQU VDP_CLR_LT_YELLOW		11
		.EQU VDP_CLR_DK_GREEN		12
		.EQU VDP_CLR_MAGENTA		13
		.EQU VDP_CLR_GREY		14
		.EQU VDP_CLR_WHITE		15

;.MACRO VDP_CALCADR
;		.DW VDP_NAMTAB + (\1 * 32) + \2
;.ENDM

		.ENDIF
